html {
    height: 100%;
}

/* For input color to remain white on autofill form data */
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    transition: background-color 5000s ease-in-out 0s;
    -webkit-text-fill-color: #2C2C2C;
}

#errorPanelContainer {
	color: red;
}

body {
	height: 100%;
	margin: 0; 
	padding: 0;
	background: #E4E7F9 !important;  /*fallback for old browsers*/
	background-repeat: no-repeat;
	background-attachment: fixed;
	background: -webkit-linear-gradient(to bottom, #f6f6f6 , #E4E7F9) !important; /* Chrome 10-25, Safari 5.1-6 */
	background: linear-gradient(to bottom, #f6f6f6 , #E4E7F9) !important;  /*W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
	font-family: 'Lucida Grande', 'Lucida Sans', 'Lucida Sans Unicode', Verdana, Arial, sans-serif;
}

#loginBox img {
	margin: 5px 0 10px 0;
}

/** Login **/
div#loginBox {
	color: #2C2C2C;
	margin: 75px auto;
	text-align: center;
	width: 300px;
	padding: 25px;
	border-radius: 15px;
	-moz-border-radius: 10px;
	-webkit-border-radius: 10px;
	background: #FFFFFF;
	border: solid white;
	box-shadow: 1px 1px 10px grey;
}

div#loginBox input[type='text'], 
div#loginBox input[type='password'] {
	position: relative;
	color: #2C2C2C;
	box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    outline: none;
    display: block;
    width: 100%;
    padding: 7px;
    border: none;
    border-bottom: 1px solid #ddd;
    background: transparent;
    margin-bottom: 10px;
    font: 16px Arial, Helvetica, sans-serif;
    height: 45px;
}

button {
	border: 0;
	width: 100%;
	font-size: 14px !important;
	height: 45px;
	margin-top: 20px;
	background: linear-gradient(90deg,rgb(95,180,201) 0%,rgb(94,194,226) 100%);
}

/** Error Panel **/
div#errorContainer {
	background: #ffc5c5; 
	border: 3px solid #c00e0e; 
	margin: 10px 0; 
	width: 700px; 
	padding: 10px; 
	-moz-border-radius: 5px; 
	-webkit-border-radius: 5px; 
	border-radius: 5px;
}

div#errorContainer div#errorContent h2 {
	margin: 5px 0;
	padding: 5px 0;
	font-size: 20px;
	color: #d41212;
}

div#errorContainer div#errorContent ul {
	padding-bottom: 0;
}

/* Left icons for login page*/
.left-inner-icon {
   position: relative;
}

.left-inner-icon input {
    padding-left: 30px !important;    
}

.left-inner-icon i {
    position: absolute;
    padding: 15px 5px;
    pointer-events: none;
    left:0;
    color: grey;
}

@font-face {
	font-family: 'icomoon';
	src:url('../fonts/icomoon/icomoon.eot');
	src:url('../fonts/icomoon/icomoon.eot?#iefix') format('embedded-opentype'),
		url('../fonts/icomoon/icomoon.woff') format('woff'),
		url('../fonts/icomoon/icomoon.ttf') format('truetype'),
		url('../fonts/icomoon/icomoon.svg#icomoon') format('svg');
	font-weight: normal;
	font-style: normal;
}

/* For the hover effect on login button */
.btn {
	color: white;
	outline: none;
	cursor: pointer;
	font-weight: 700;
	border-radius: 5px;
	font-size: inherit;
	position: relative;
	letter-spacing: 1px;
	font-family: inherit;
	transition: all 1s;
	-moz-transition: all 1s;
	text-transform: uppercase;
	-webkit-transition: all 1s;
}

.btn:after {
	content: '';
	position: absolute;
	-webkit-transition: all 1s;
	-moz-transition: all 1s;
	transition: all 1s;
}

.hover-effect:hover {
	background: linear-gradient(90deg,rgb(95,180,201) 0%,rgb(94,194,226) 100%);
	box-shadow: inset 0 0 0 1000px rgba(0,0,0,.1);
}

.btn:before {
	font-family: 'icomoon';
	speak: none;
	font-style: normal;
	font-weight: normal;
	font-variant: normal;
	text-transform: none;
	-webkit-font-smoothing: antialiased;
}

.icon-arrow-left:before {
	content: "\e00d";
	margin: 0 auto;
}

.hover-effect:before {
	position: absolute;
	height: 100%;
	font-size: 100%;
	line-height: 3.5;
	color: #fff;
	-webkit-transition: all 1s;
	-moz-transition: all 1s;
	transition: all 1s;
	margin: 0 auto;
}

.hover-effect-1:before {
	right: 35%;
	opacity: 0;
	top: -1px;
}

.hover-effect-1:hover:before {
	right: 20%;
	opacity: 1;
	margin: 0 auto;
}